## chromium 129.0.6668.100

=== debian/changelog ===
chromium (129.0.6668.100-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-9602: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-9603: Type Confusion in V8.
      Reported by @WeShotTheMoon and @Nguyen Hoang Thach of starlabs.

 -- Andres Salomon <dilinger@debian.org>  Tue, 08 Oct 2024 19:36:09 -0400

chromium (129.0.6668.89-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-7025: Integer overflow in Layout.
      Reported by Tashita Software Security.
    - CVE-2024-9369: Insufficient data validation in Mojo.
      Reported by Xiantong Hou and Pisanbao of Wuheng Lab.
    - CVE-2024-9370: Inappropriate implementation in V8. Reported by
      Nguyễn Hoàng Thạch, Đỗ Minh Tuấn, and Wu JinLin of STAR Labs SG Pte Ltd.
  * d/patches:
    - bookworm/libxml-parseerr.patch: readd for downgraded libxml2 in
      unstable (closes: #1082907).
    - upstream/wayland-gbm-pixmap.patch: backport two patches to fix
      noisy wayland video playback (closes: #1077345).
  * Build against system libtiff, thanks to
    Soren Stoutner <soren@stoutner.com> for getting this fixed upstream
    (closes: #1033747).

 -- Andres Salomon <dilinger@debian.org>  Wed, 02 Oct 2024 01:07:19 -0400

chromium (129.0.6668.70-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-9120: Use after free in Dawn. Reported by Anonymous.
    - CVE-2024-9121: Inappropriate implementation in V8.
      Reported by Tashita Software Security.
    - CVE-2024-9122: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-9123: Integer overflow in Skia.
      Reported by raven at KunLun lab.
  * d/copyright: delete more upstream .clang, .git, and android residue.

  [ Timothy Pearson ]
  * d/patches:
    - fixes/predictor-denial-of-service.patch: Work around upstream
      issue #368562245, which can cause denial of service of the entire
      browser process on specific types of Web sites.

 -- Andres Salomon <dilinger@debian.org>  Wed, 25 Sep 2024 15:23:27 -0400
