## chromium 130.0.6723.58~linuxmint1+virginia

=== debian/changelog ===
chromium (130.0.6723.58~linuxmint1+virginia) unstable; urgency=medium

  * 130.0.6723.58

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Oct 2024 19:27:20 +0100

chromium (129.0.6668.100~linuxmint1) unstable; urgency=medium

  * 129.0.6668.100

 -- Linux Mint <root@linuxmint.com>  Tue, 08 Oct 2024 21:05:21 +0100
