## chromium 130.0.6723.58~linuxmint1+wilma

=== debian/changelog ===
chromium (130.0.6723.58~linuxmint1+wilma) unstable; urgency=medium

  * 130.0.6723.58

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Oct 2024 19:27:20 +0100
