## chromium 130.0.6723.69~linuxmint1+faye

=== debian/changelog ===
chromium (130.0.6723.69~linuxmint1+faye) unstable; urgency=medium

  * 130.0.6723.69

 -- Linux Mint <root@linuxmint.com>  Tue, 22 Oct 2024 21:53:22 +0100

chromium (130.0.6723.58~linuxmint1) unstable; urgency=medium

  * 130.0.6723.58

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Oct 2024 19:27:20 +0100
