## chromium 130.0.6723.69~linuxmint1+wilma

=== debian/changelog ===
chromium (130.0.6723.69~linuxmint1+wilma) unstable; urgency=medium

  * 130.0.6723.69

 -- Linux Mint <root@linuxmint.com>  Tue, 22 Oct 2024 21:53:22 +0100
