## chromium 130.0.6723.91~linuxmint1+faye

=== debian/changelog ===
chromium (130.0.6723.91~linuxmint1+faye) unstable; urgency=medium

  * 130.0.6723.91

 -- Linux Mint <root@linuxmint.com>  Tue, 29 Oct 2024 19:04:22 +0000

chromium (130.0.6723.69~linuxmint1) unstable; urgency=medium

  * 130.0.6723.69

 -- Linux Mint <root@linuxmint.com>  Tue, 22 Oct 2024 21:53:22 +0100
