## chromium 130.0.6723.91~linuxmint1+virginia

=== debian/changelog ===
chromium (130.0.6723.91~linuxmint1+virginia) unstable; urgency=medium

  * 130.0.6723.91

 -- Linux Mint <root@linuxmint.com>  Tue, 29 Oct 2024 19:04:22 +0000
