## chromium 130.0.6723.91

=== debian/changelog ===
chromium (130.0.6723.91-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-10487: Out of bounds write in Dawn.
      Reported by Apple Security Engineering and Architecture (SEAR).
    - CVE-2024-10488: Use after free in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).

 -- Andres Salomon <dilinger@debian.org>  Tue, 29 Oct 2024 20:36:38 -0400

chromium (130.0.6723.69-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-10229: Inappropriate implementation in Extensions.
      Reported by Vsevolod Kokorin (Slonser) of Solidlab.
    - CVE-2024-10230: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-10231: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).

  [ Timothy Pearson ]
  * d/patches:
    - bookworm/partially-deployed-mseal-syscall.patch: Work around newly
      introduced `mseal` syscall being inconsistently available on Bookworm kernels

 -- Andres Salomon <dilinger@debian.org>  Tue, 22 Oct 2024 21:34:57 -0400
