=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
-export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) -stdlib=libc++ -I/usr/lib/llvm-16/include/c++/v1
-export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS) -stdlib=libc++ -Wl,-rpath,/usr/lib/llvm-16/lib
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) -stdlib=libc++
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS) -stdlib=libc++
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
@@ -229,3 +229,4 @@
 get-orig-source:
 	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
 	@date +%s > $(seconds)
+	# TODO: use `grep-dctrl -F Files-Excluded '' -s Files-Excluded debian/copyright` instead (from jochensp)
