## chromium 130.0.6723.116~linuxmint1+una

=== debian/changelog ===
chromium (130.0.6723.116~linuxmint1+una) unstable; urgency=medium

  * 130.0.6723.116

 -- Linux Mint <root@linuxmint.com>  Tue, 05 Nov 2024 18:29:22 +0000
