## chromium 130.0.6723.116

=== debian/changelog ===
chromium (130.0.6723.116-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-10826: Use after free in Family Experiences.
      Reported by Anonymous.
    - CVE-2024-10827: Use after free in Serial. Reported by Anonymous.

 -- Andres Salomon <dilinger@debian.org>  Wed, 06 Nov 2024 02:30:57 -0500

chromium (130.0.6723.91-2) unstable; urgency=high

  * d/patches/fixes/armhf-timespec.patch: add patch to fix armhf FTBFS.

 -- Andres Salomon <dilinger@debian.org>  Sun, 03 Nov 2024 02:47:53 -0500
