## chromium 131.0.6778.85~linuxmint1+faye

=== debian/changelog ===
chromium (131.0.6778.85~linuxmint1+faye) unstable; urgency=medium

  * 131.0.6778.85

 -- Linux Mint <root@linuxmint.com>  Wed, 20 Nov 2024 00:57:00 +0000

chromium (131.0.6778.69~linuxmint1) unstable; urgency=medium

  * 131.0.6778.69

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Nov 2024 18:30:20 +0000

chromium (130.0.6723.116~linuxmint1) unstable; urgency=medium

  * 130.0.6723.116

 -- Linux Mint <root@linuxmint.com>  Tue, 05 Nov 2024 18:29:22 +0000
