## chromium 131.0.6778.85~linuxmint1+virginia

=== debian/changelog ===
chromium (131.0.6778.85~linuxmint1+virginia) unstable; urgency=medium

  * 131.0.6778.85

 -- Linux Mint <root@linuxmint.com>  Wed, 20 Nov 2024 00:57:00 +0000
