## chromium 131.0.6778.108

=== debian/changelog ===
chromium (131.0.6778.108-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2024-12053: Type Confusion in V8.
      Reported by gal1ium and chluo.

 -- Andres Salomon <dilinger@debian.org>  Wed, 04 Dec 2024 01:55:50 -0500

chromium (131.0.6778.85-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2024-11110: Inappropriate implementation in Blink.
      Reported by Vsevolod Kokorin (Slonser) of Solidlab.
    - CVE-2024-11111: Inappropriate implementation in Autofill.
      Reported by Narendra Bhati, Suma Soft Pvt. Ltd - Pune (India).
    - CVE-2024-11112: Use after free in Media. Reported by
      Nan Wang(@eternalsakura13) and Zhenghang Xiao(@Kipreyyy) of
      360 Vulnerability Research Institute.
    - CVE-2024-11113: Use after free in Accessibility.
      Reported by Weipeng Jiang (@Krace) of VRI.
    - CVE-2024-11114: Inappropriate implementation in Views.
      Reported by Micky.
    - CVE-2024-11115: Insufficient policy enforcement in Navigation.
      Reported by mastersplinter.
    - CVE-2024-11116: Inappropriate implementation in Paint.
      Reported by Thomas Orlita.
    - CVE-2024-11117: Inappropriate implementation in FileSystem.
      Reported by Ameen Basha M K.
    - CVE-2024-11395: Type Confusion in V8. Reported by Anonymous.
  * d/patches:
    - upstream/wayland-gbm-pixmap.patch: drop, merged upstream.
    - disable/catapult.patch: refresh.
    - fixes/bindgen.patch: refresh.
    - fixes/freetype.patch: add new patch to fix missing
      enable_freetype arg declaration.
    - fixes/updater-test.patch: add simple build fix for deleted
      third_party/updater/.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - workarounds/HACK-debian-clang-disable-pa-musttail.patch: Work around
      additional upstream musttail definitions
    - workarounds/HACK-debian-clang-disable-base-musttail.patch: Refresh for
      upstream changes
    - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
      Refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Thu, 21 Nov 2024 16:12:03 -0500

chromium (130.0.6723.116-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2024-10826: Use after free in Family Experiences.
      Reported by Anonymous.
    - CVE-2024-10827: Use after free in Serial. Reported by Anonymous.

 -- Andres Salomon <dilinger@debian.org>  Wed, 06 Nov 2024 02:30:57 -0500

chromium (130.0.6723.91-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2024-10487: Out of bounds write in Dawn.
      Reported by Apple Security Engineering and Architecture (SEAR).
    - CVE-2024-10488: Use after free in WebRTC.
      Reported by Cassidy Kim(@cassidy6564).

 -- Andres Salomon <dilinger@debian.org>  Tue, 29 Oct 2024 20:36:38 -0400

chromium (130.0.6723.69-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2024-10229: Inappropriate implementation in Extensions.
      Reported by Vsevolod Kokorin (Slonser) of Solidlab.
    - CVE-2024-10230: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-10231: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).

 -- Andres Salomon <dilinger@debian.org>  Tue, 22 Oct 2024 21:34:57 -0400

chromium (130.0.6723.58-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2024-9954: Use after free in AI. Reported by DarkNavy.
    - CVE-2024-9955: Use after free in Web Authentication.
      Reported by anonymous.
    - CVE-2024-9956: Inappropriate implementation in Web Authentication.
      Reported by mastersplinter.
    - CVE-2024-9957: Use after free in UI. Reported by lime(@limeSec_) and
      fmyy(@binary_fmyy) From TIANGONG Team of Legendsec at QI-ANXIN Group.
    - CVE-2024-9958: Inappropriate implementation in PictureInPicture.
      Reported by Lyra Rebane (rebane2001).
    - CVE-2024-9959: Use after free in DevTools. Reported by Sakana.S.
    - CVE-2024-9960: Use after free in Dawn. Reported by Anonymous.
    - CVE-2024-9961: Use after free in Parcel Tracking. Reported by
      lime(@limeSec_) and fmyy(@binary_fmyy) From TIANGONG Team of
      Legendsec at QI-ANXIN Group.
    - CVE-2024-9962: Inappropriate implementation in Permissions.
      Reported by Shaheen Fazim.
    - CVE-2024-9963: Insufficient data validation in Downloads.
      Reported by Anonymous.
    - CVE-2024-9964: Inappropriate implementation in Payments.
      Reported by Hafiizh.
    - CVE-2024-9965: Insufficient data validation in DevTools.
      Reported by Shaheen Fazim.
    - CVE-2024-9966: Inappropriate implementation in Navigations.
      Reported by Harry Chen.
  * d/copyright: rollup -> @rollup  deletion.
  * d/patches:
    - debianization/sandbox.patch: refresh.
    - fixes/bindgen.patch: refresh.
    - disable/catapult.patch: refresh.
    - system/zlib.patch: drop. Upstream removed courgette, and its
      replacement (zucchini) doesn't appear to use zlib.
    - system/rollup.patch: update path due to upstream renaming; call
      ./rollup/.../rollup instead of ./@rollup/wasm-node/.../rollup.
    - system/event.patch: drop half of patch due to upstream deletions.
    - upstream/mojo-null.patch: merged into mojo.patch.
    - upstream/mojo.patch: update based on 130 test files.

  [ Daniel Richard G. ]
  * d/rules: Drop the clang-16 -I/-Wl,-rpath flags from CXXFLAGS/LDFLAGS as
    they are no longer needed.

  [ Timothy Pearson ]
  * d/patches:
    - upstream/blink-fix-size-assertions.patch: Fix build on non-amd64
      platforms
    - fixes/fix-assert-in-vnc-sessions.patch: Fix assertion and SIGTRAP
      when starting Chromium from within a VNC session
  * d/patches/ppc64le:
    - core/add-ppc64-pthread-stack-size.patch: Define correct pthread
      stack size on ppc64 systems
    - core/cargo-add-ppc64.diff
    - third_party/0001-Add-PPC64-support-for-boringssl.patch: Refresh for
      upstream changes

