=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
 Build-Depends:
  debhelper (>= 11),
  devscripts,
- lld-16,
- clang-16,
- clang-format-16,
- libclang-rt-16-dev,
- libc++-16-dev,
- libc++abi-16-dev,
- rustc-web (>= 1.74),
+ lld-19,
+ clang-19,
+ clang-format-19,
+ libclang-rt-19-dev,
+ libc++-19-dev,
+ libc++abi-19-dev,
+ rustc (>= 1.74),
  bindgen,
  python3,
  pkg-config,
@@ -72,7 +72,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (<< 2.10),
+ libxml2-dev (>= 2.12),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
@@ -109,7 +109,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0 | xdg-desktop-portal-backend,
+ libgtk-3-0t64 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
