=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # compile with clang (gcc is currently not supported)
 export AR=ar
 export NM=nm
-export CC=clang-16
-export CXX=clang++-16
+export CC=clang-19
+export CXX=clang++-19
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
@@ -50,7 +50,7 @@
 export CLANG_MVERS=$(shell $(CC) --version | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
-defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
+defines+=rust_bindgen_root=\"/usr\"
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -147,17 +147,7 @@
 		}; \
 	fi
 
-set_up_bindgen:
-	# Bookworm's bindgen is too old. This is a workaround using the
-	# packages from
-	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
-	# are new enough to build chromium but old enough to not be linked against
-	# Trixie's libc6 2.38
-	mkdir -p debian/bindgen/root
-	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
-	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
-
-override_dh_auto_configure: test_armhf_neon set_up_bindgen
+override_dh_auto_configure: test_armhf_neon
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -203,7 +193,6 @@
 	dh_fixperms --exclude chrome-sandbox
 
 override_dh_auto_clean:
-	rm -rf debian/bindgen/root
 	rm -rf third_party/node/linux/node-linux-x64
 	rm -rf out
 	rm -rf third_party/node/node_modules/rollup
@@ -230,3 +219,17 @@
 	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
 	@date +%s > $(seconds)
 	# TODO: use `grep-dctrl -F Files-Excluded '' -s Files-Excluded debian/copyright` instead (from jochensp)
+	perl debian/scripts/get-excludes.pl "`tar tf ../$(tarball) | head -n1`" > $(debvers).excludes
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	test ! -e $(extract) || rm -rf $(extract)
+	tar --exclude-from=$(debvers).excludes -xf ../$(tarball)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	rm -f $(debvers).excludes
+	cd $(extract) && ../debian/scripts/check-upstream
+	chmod -R u+w $(extract)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+	@echo
+	test ! -e $(origtxz) || rm -f $(origtxz)
+	tar $(options) -cf - $(extract) | xz -6 -T0 - > $(origtxz)
