=== debian/control ===
--- 
+++ 
@@ -17,9 +17,7 @@
  clang-19,
  clang-format-19,
  libclang-rt-19-dev,
- libc++-19-dev,
- libc++abi-19-dev,
- rustc (>= 1.74),
+ rustc-web (>= 1.74),
  bindgen,
  python3,
  pkg-config,
@@ -72,7 +70,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (>= 2.12),
+ libxml2-dev (<< 2.10),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
@@ -109,7 +107,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0t64 | xdg-desktop-portal-backend,
+ libgtk-3-0 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
