## chromium 131.0.6778.204~linuxmint1+faye

=== debian/changelog ===
chromium (131.0.6778.204~linuxmint1+faye) unstable; urgency=medium

  * 131.0.6778.204

 -- Linux Mint <root@linuxmint.com>  Wed, 18 Dec 2024 21:20:11 +0000

chromium (131.0.6778.139~linuxmint1) unstable; urgency=medium

  * 131.0.6778.139

 -- Linux Mint <root@linuxmint.com>  Sat, 14 Dec 2024 17:46:12 +0000

chromium (131.0.6778.85~linuxmint1) unstable; urgency=medium

  * 131.0.6778.85

 -- Linux Mint <root@linuxmint.com>  Wed, 20 Nov 2024 00:57:00 +0000
